# Rune Activity

Returns historical activity (transfers, mints, etc.) for a specific Rune held by a given address.

## GET /v1/ordinals/address/{address}/runes/{identifier}/activity

> Get rune activity for a specific address and rune

```json
{"openapi":"3.0.3","info":{"title":"SecretKeyLabs API","version":"1.0.0"},"tags":[{"name":"Ordinals"}],"servers":[{"url":"https://api.secretkeylabs.io"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","name":"x-api-key","in":"header"}}},"paths":{"/v1/ordinals/address/{address}/runes/{identifier}/activity":{"get":{"tags":["Ordinals","Runes"],"description":"Get rune activity for a specific address and rune","parameters":[{"schema":{"default":0,"minimum":0,"multipleOf":25,"type":"number"},"in":"query","name":"offset","required":false},{"schema":{"default":25,"minimum":25,"maximum":25,"type":"number"},"in":"query","name":"limit","required":false},{"schema":{"minimum":0,"type":"number"},"in":"query","name":"fromBlockHeight","required":false},{"schema":{"minimum":0,"type":"number"},"in":"query","name":"toBlockHeight","required":false},{"schema":{"type":"string"},"in":"path","name":"address","required":true},{"schema":{"type":"string"},"in":"path","name":"identifier","required":true}],"responses":{"200":{"description":"Rune activity for a specific rune or address","content":{"application/json":{"schema":{"description":"Rune activity for a specific rune or address","type":"object","properties":{"offset":{"type":"number"},"limit":{"type":"number"},"items":{"type":"array","items":{"type":"object","properties":{"blockHeight":{"type":"number"},"blockTime":{"type":"string"},"txid":{"type":"string"},"index":{"nullable":true,"type":"number"},"type":{"type":"string"},"amount":{"type":"string"},"address":{"nullable":true,"type":"string"}},"required":["blockHeight","blockTime","txid","index","type","amount","address"]}}},"required":["offset","limit","items"]}}}},"400":{"description":"Invalid input","content":{"application/json":{"schema":{"description":"Invalid input","type":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"description":"Unauthorized","type":"string"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"description":"Not found","type":"string"}}}},"429":{"description":"Rate limit exceeded","content":{"application/json":{"schema":{"description":"Rate limit exceeded","type":"string"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"description":"Internal server error","type":"string"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xverse.app/api/runes/runes-by-address/rune-activity.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
